Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.map
Class QueryBuilder

    java.lang.Object
      org.apache.cayenne.map.QueryBuilder

Deprecated. since 3.0 replaced by a non-public class.

    public abstract class QueryBuilder

extends Object

A builder that constructs Cayenne queries from abstract configuration information defined in cayenne-data-map*.dtd. This abstract builder supports values declared in the DTD, allowing subclasses to define their own Query creation logic.

Since:
  1.1
Author:
  Andrus Adamchik

Field Summary
`protected Map<String,String>` | `adapterSql` Deprecated.
`static String` | `DATA_MAP_ROOT` Deprecated.
`protected DataMap` | `dataMap` Deprecated.
`static String` | `DB_ENTITY_ROOT` Deprecated.
`static String` | `JAVA_CLASS_ROOT` Deprecated.
`protected String` | `name` Deprecated.
`static String` | `OBJ_ENTITY_ROOT` Deprecated.
`protected List<Ordering>` | `orderings` Deprecated.
`protected List<String>` | `prefetches` Deprecated.
`static String` | `PROCEDURE_ROOT` Deprecated.
`protected Map<String,String>` | `properties` Deprecated.
`protected Expression` | `qualifier` Deprecated.
`protected String` | `resultEntity` Deprecated.
`protected String` | `rootName` Deprecated.
`protected String` | `rootType` Deprecated.
`protected String` | `sql` Deprecated.

Constructor Summary
`QueryBuilder()` Deprecated.

Method Summary
`void` | `addOrdering(String path, String descending, String ignoreCase)` Deprecated.
`void` | `addPrefetch(String path)` Deprecated.
`void` | `addProperty(String name, String value)` Deprecated.
`void` | `addSql(String sql, String adapterClass)` Deprecated. Adds raw sql.
`abstract Query` | `getQuery()` Deprecated. Builds a Query object based on internal configuration information.
`protected Object` | `getRoot()` Deprecated. Determines query root based on configuration info, falls back to a DataMap root if the data is invalid.
`void` | `setName(String name)` Deprecated.
`void` | `setQualifier(String qualifier)` Deprecated.
`void` | `setResultEntity(String resultEntity)` Deprecated.
`void` | `setRoot(DataMap dataMap, String rootType, String rootName)` Deprecated. Sets the information pertaining to the root of the query.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OBJ_ENTITY_ROOT

    public static final String OBJ_ENTITY_ROOT

  Deprecated.
  See Also:
    Constant Field Values

### DB_ENTITY_ROOT

    public static final String DB_ENTITY_ROOT

  Deprecated.
  See Also:
    Constant Field Values

### PROCEDURE_ROOT

    public static final String PROCEDURE_ROOT

  Deprecated.
  See Also:
    Constant Field Values

### DATA_MAP_ROOT

    public static final String DATA_MAP_ROOT

  Deprecated.
  See Also:
    Constant Field Values

### JAVA_CLASS_ROOT

    public static final String JAVA_CLASS_ROOT

  Deprecated.
  See Also:
    Constant Field Values

### name

    protected String name

  Deprecated.

### properties

    protected Map<String,String> properties

  Deprecated.

### sql

    protected String sql

  Deprecated.

### adapterSql

    protected Map<String,String> adapterSql

  Deprecated.

### qualifier

    protected Expression qualifier

  Deprecated.

### orderings

    protected List<Ordering> orderings

  Deprecated.

### prefetches

    protected List<String> prefetches

  Deprecated.

### dataMap

    protected DataMap dataMap

  Deprecated.

### rootType

    protected String rootType

  Deprecated.

### rootName

    protected String rootName

  Deprecated.

### resultEntity

    protected String resultEntity

  Deprecated.

Constructor Detail

### QueryBuilder

    public QueryBuilder()

  Deprecated.

Method Detail

### getQuery

    public abstract Query getQuery()

  Deprecated.
  Builds a Query object based on internal configuration information.

### setName

    public void setName(String name)

  Deprecated.

### getRoot

    protected Object getRoot()

  Deprecated.
  Determines query root based on configuration info, falls back to a DataMap root if the data is invalid.

  Throws:
    `CayenneRuntimeException` - if a valid root can't be established.

### setResultEntity

    public void setResultEntity(String resultEntity)

  Deprecated.

### setRoot

    public void setRoot(DataMap dataMap,
                        String rootType,
                        String rootName)

  Deprecated.
  Sets the information pertaining to the root of the query.

### addSql

    public void addSql(String sql,
                       String adapterClass)

  Deprecated.
  Adds raw sql. If adapterClass parameter is not null, sets the SQL string to be adapter-specific. Otherwise it is used as a default SQL string.

### setQualifier

    public void setQualifier(String qualifier)

  Deprecated.

### addProperty

    public void addProperty(String name,
                            String value)

  Deprecated.

### addOrdering

    public void addOrdering(String path,
                            String descending,
                            String ignoreCase)

  Deprecated.

### addPrefetch

    public void addPrefetch(String path)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.